import React from 'react';
export interface DialogProps {
}
export interface DialogState {
    visible: boolean;
    component: React.ComponentClass<any>;
    config: DialogConfig;
}
export interface DialogConfig {
    title?: any;
    width?: number | string;
    height?: number | string;
    props?: object;
    closable?: boolean;
}
export interface ComponentRef {
    beforeClose?: () => Promise<any>;
}
export default class Dialog extends React.Component<DialogProps, DialogState> {
    private promiseResolver;
    private componentRef;
    constructor(props: any);
    private closeDialog;
    openDialog: (Component: any, config?: DialogConfig) => Promise<any>;
    render(): JSX.Element;
}
