function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// import Modal from './modal'
// export default Modal;
import OriginModal, { destroyFns } from './Modal';
import confirm, { withWarn, withInfo, withSuccess, withError, withConfirm, modalGlobalConfig } from "antd/es/modal/confirm";
import useModal from "antd/es/modal/useModal";
import "antd/es/modal/style"; // 升级到4.17.0版本后，antd没有对应的文件了。
// export { ActionButtonProps } from 'antd/lib/modal/ActionButton';

function modalWarn(props) {
  var _props$okText = props.okText,
      okText = _props$okText === void 0 ? '知道了' : _props$okText;
  return confirm(withWarn(_extends(_extends({}, props), {
    okText: okText
  })));
}

var Modal = OriginModal;
Modal.useModal = useModal;

Modal.info = function infoFn(props) {
  var _props$okText2 = props.okText,
      okText = _props$okText2 === void 0 ? '知道了' : _props$okText2;
  return confirm(withInfo(_extends(_extends({}, props), {
    okText: okText
  })));
};

Modal.success = function successFn(props) {
  var _props$okText3 = props.okText,
      okText = _props$okText3 === void 0 ? '知道了' : _props$okText3;
  return confirm(withSuccess(_extends(_extends({}, props), {
    okText: okText
  })));
};

Modal.error = function errorFn(props) {
  var _props$okText4 = props.okText,
      okText = _props$okText4 === void 0 ? '知道了' : _props$okText4;
  return confirm(withError(_extends(_extends({}, props), {
    okText: okText
  })));
};

Modal.warning = modalWarn;
Modal.warn = modalWarn;

Modal.confirm = function confirmFn(props) {
  var _props$okText5 = props.okText,
      okText = _props$okText5 === void 0 ? '确定' : _props$okText5,
      _props$cancelText = props.cancelText,
      cancelText = _props$cancelText === void 0 ? '取消' : _props$cancelText;
  return confirm(withConfirm(_extends(_extends({}, props), {
    okText: okText,
    cancelText: cancelText
  })));
};

Modal.destroyAll = function destroyAllFn() {
  while (destroyFns.length) {
    var close = destroyFns.pop();

    if (close) {
      close();
    }
  }
};

Modal.config = modalGlobalConfig;
export default Modal;