function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React, { forwardRef } from 'react';
import { Select } from 'antd';

var MySelect = function MySelect(props, ref) {
  var _props$autoFill = props.autoFill,
      autoFill = _props$autoFill === void 0 ? false : _props$autoFill,
      options = props.options,
      value = props.value,
      onChange = props.onChange,
      onBlur = props.onBlur,
      restProps = __rest(props, ["autoFill", "options", "value", "onChange", "onBlur"]);

  var selectValue = value;

  if (autoFill == true && options.length == 1 && !value) {
    selectValue = options[0].value;
    onChange(options[0].value);
  } else {
    selectValue = value;
  }

  var onBlurTemp = function onBlurTemp() {
    if (onBlur && typeof onBlur == 'function') {
      onBlur(selectValue);
    }
  };

  return /*#__PURE__*/React.createElement(Select, _extends({
    onChange: onChange,
    onBlur: onBlurTemp,
    ref: ref,
    options: options,
    value: selectValue
  }, restProps));
};

export default /*#__PURE__*/forwardRef(MySelect);