"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var MouseXConfigContext = /*#__PURE__*/_react["default"].createContext({
  numberColumnConfig: {
    isShowNumber: false,
    numberTitle: '序号',
    numberWidth: 80,
    dataIndex: 'number_column',
    align: 'left'
  },
  inputShowTitle: false,
  tableRowSelectedCss: false,
  tableRowOnClickCss: 'tempClassName',
  tabsMode: 'default',
  modalDraggable: false,
  modalChangeSize: false,
  modalMaxWidth: '95%',
  modalMaxHeight: '95%',
  inputNumberAutoFillout: false,
  buttonNeedThrottle: true,
  buttonThrottleTime: 1000,
  buttonThrottleIsImmediate: true
});

var _default = MouseXConfigContext;
exports["default"] = _default;