"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _Modal = _interopRequireWildcard(require("./Modal"));

var _confirm = _interopRequireWildcard(require("antd/lib/modal/confirm"));

var _useModal = _interopRequireDefault(require("antd/lib/modal/useModal"));

require("antd/lib/modal/style");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// 升级到4.17.0版本后，antd没有对应的文件了。
// export { ActionButtonProps } from 'antd/lib/modal/ActionButton';
function modalWarn(props) {
  var _props$okText = props.okText,
      okText = _props$okText === void 0 ? '知道了' : _props$okText;
  return (0, _confirm["default"])((0, _confirm.withWarn)(_extends(_extends({}, props), {
    okText: okText
  })));
}

var Modal = _Modal["default"];
Modal.useModal = _useModal["default"];

Modal.info = function infoFn(props) {
  var _props$okText2 = props.okText,
      okText = _props$okText2 === void 0 ? '知道了' : _props$okText2;
  return (0, _confirm["default"])((0, _confirm.withInfo)(_extends(_extends({}, props), {
    okText: okText
  })));
};

Modal.success = function successFn(props) {
  var _props$okText3 = props.okText,
      okText = _props$okText3 === void 0 ? '知道了' : _props$okText3;
  return (0, _confirm["default"])((0, _confirm.withSuccess)(_extends(_extends({}, props), {
    okText: okText
  })));
};

Modal.error = function errorFn(props) {
  var _props$okText4 = props.okText,
      okText = _props$okText4 === void 0 ? '知道了' : _props$okText4;
  return (0, _confirm["default"])((0, _confirm.withError)(_extends(_extends({}, props), {
    okText: okText
  })));
};

Modal.warning = modalWarn;
Modal.warn = modalWarn;

Modal.confirm = function confirmFn(props) {
  var _props$okText5 = props.okText,
      okText = _props$okText5 === void 0 ? '确定' : _props$okText5,
      _props$cancelText = props.cancelText,
      cancelText = _props$cancelText === void 0 ? '取消' : _props$cancelText;
  return (0, _confirm["default"])((0, _confirm.withConfirm)(_extends(_extends({}, props), {
    okText: okText,
    cancelText: cancelText
  })));
};

Modal.destroyAll = function destroyAllFn() {
  while (_Modal.destroyFns.length) {
    var close = _Modal.destroyFns.pop();

    if (close) {
      close();
    }
  }
};

Modal.config = _confirm.modalGlobalConfig;
var _default = Modal;
exports["default"] = _default;