"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _antd = require("antd");

var _MouseXConfigContext = _interopRequireDefault(require("../MXConfigProvider/MouseXConfigContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
}; // @ts-nocheck


var MyTabs = function MyTabs(props, ref) {
  var children = props.children,
      type = props.type,
      tabsMode = props.tabsMode,
      restprops = __rest(props, ["children", "type", "tabsMode"]);

  var contextTabsMode = (0, _react.useContext)(_MouseXConfigContext["default"]).tabsMode; // const tabsDivId = Math.random();

  var tabsDivId = (0, _react.useRef)(Math.random());

  var _useState = (0, _react.useState)(false),
      _useState2 = _slicedToArray(_useState, 2),
      showArrow = _useState2[0],
      setShowArrow = _useState2[1];

  var _useState3 = (0, _react.useState)(0),
      _useState4 = _slicedToArray(_useState3, 2),
      navHeight = _useState4[0],
      setNavHeight = _useState4[1];

  var showTabsArrow;

  if (tabsMode == 'arrow') {
    showTabsArrow = true;
  } else if (tabsMode == 'default') {
    showTabsArrow = false;
  } else {
    if (contextTabsMode == 'arrow') {
      showTabsArrow = true;
    } else {
      showTabsArrow = false;
    }
  }

  var rightButton = function rightButton(e) {
    var tabList = document.getElementById(tabsDivId.current).children[0].children[1].children[0];
    var tabsNav = document.getElementById(tabsDivId.current).children[0]; // 计算偏移量

    var offset = type == 'editable-card' ? 0 : type == 'card' ? tabList.children[tabList.children.length - 2].clientWidth / 2 : tabList.children[tabList.children.length - 2].clientWidth;

    if (tabList.clientWidth > tabsNav.clientWidth) {
      var translateX = Number(tabList.style.cssText.split('px')[0].split('(')[1]) - 100;

      if (Math.abs(translateX) < tabList.clientWidth - tabsNav.clientWidth) {
        tabList.style.cssText = 'transform: translate(' + translateX + 'px, 0px);';
      } else {
        tabList.style.cssText = 'transform: translate(' + -(tabList.clientWidth - tabsNav.clientWidth + offset) + 'px, 0px);';
      }
    }
  };

  var leftButton = function leftButton(e) {
    var tabList = document.getElementById(tabsDivId.current).children[0].children[1].children[0];
    var tabsNav = document.getElementById(tabsDivId.current).children[0];

    if (tabList.clientWidth > tabsNav.clientWidth) {
      var translateX = Number(tabList.style.cssText.split('px')[0].split('(')[1]) + 100;

      if (Math.abs(translateX) < tabList.clientWidth - tabsNav.clientWidth && translateX < 0) {
        tabList.style.cssText = 'transform: translate(' + translateX + 'px, 0px);';
      } else {
        tabList.style.cssText = 'transform: translate(' + 0 + 'px, 0px);';
      }
    }
  };

  (0, _react.useEffect)(function () {
    var tabListWidth = document.getElementById(tabsDivId.current).children[0].children[0].children[0].clientWidth;
    var tabsNavWidth = document.getElementById(tabsDivId.current).children[0].clientWidth;

    if (tabListWidth - tabsNavWidth > 0) {
      setShowArrow(true);
    }

    setNavHeight(document.getElementById(tabsDivId.current).children[0].clientHeight);
  }, []);
  (0, _react.useEffect)(function () {
    if (showArrow && showTabsArrow) {
      // tab父元素
      var tabDiv = document.getElementById(tabsDivId.current).children[0]; // 标签

      var tabNavDiv = tabDiv.children[0];
      tabNavDiv.style.width = 'calc( 100% - 40px )'; // 内容

      var tabContentDiv = tabDiv.children[1];
      var leftArrow = document.createElement('button');
      leftArrow.style = 'width:20px;height:' + navHeight + 'px' + ';text-align:center;line-height:' + (navHeight - 10) + 'px' + ';border:none;font-size:20px;padding:0;cursor: pointer;';
      leftArrow.innerHTML = "<";
      leftArrow.addEventListener('click', function (e) {
        return leftButton(e);
      });
      tabDiv.insertBefore(leftArrow, tabNavDiv);
      var rightArrow = document.createElement('button');
      rightArrow.style = 'width:20px;height:' + navHeight + 'px' + ';text-align:center;line-height:' + (navHeight - 10) + 'px' + ';border:none;font-size:20px;padding:0;cursor: pointer;';
      rightArrow.innerHTML = '>';
      rightArrow.addEventListener('click', function (e) {
        return rightButton(e);
      });
      tabDiv.insertBefore(rightArrow, tabContentDiv);
    }
  }, [showArrow]);
  return /*#__PURE__*/_react["default"].createElement(_antd.Tabs, _extends({
    id: tabsDivId.current,
    type: type,
    ref: ref
  }, restprops), children);
};

var _default = /*#__PURE__*/(0, _react.forwardRef)(MyTabs);

exports["default"] = _default;