function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
}; // @ts-nocheck


import { Input } from 'antd';
import React, { forwardRef } from 'react';
import { useContext } from 'react';
import MouseXConfigContext from '../MXConfigProvider/MouseXConfigContext';

var TestSearch = function TestSearch(props, ref) {
  var Search = Input.Search;
  var contextInputShowTitle = useContext(MouseXConfigContext).inputShowTitle;
  var showTitle;

  var inputShowTitle = props.inputShowTitle,
      value = props.value,
      defaultValue = props.defaultValue,
      resData = __rest(props, ["inputShowTitle", "value", "defaultValue"]);

  if (inputShowTitle != undefined) {
    showTitle = inputShowTitle;
  } else if (inputShowTitle == undefined) {
    if (contextInputShowTitle !== undefined) {
      showTitle = contextInputShowTitle;
    } else if (contextInputShowTitle == undefined) {
      showTitle = false;
    }
  }

  if (showTitle == true) {
    return /*#__PURE__*/React.createElement(Search, _extends({
      ref: ref,
      type: "Search",
      title: value ? value : defaultValue,
      value: value,
      defaultValue: defaultValue
    }, resData));
  } else {
    return /*#__PURE__*/React.createElement(Search, _extends({
      ref: ref,
      value: value,
      defaultValue: defaultValue
    }, resData));
  }
};

export default /*#__PURE__*/forwardRef(TestSearch);