import OriginModal from './Modal';
import { ModalStaticFunctions, modalGlobalConfig } from 'antd/lib/modal/confirm';
import useModal from 'antd/lib/modal/useModal';
import 'antd/lib/modal/style';
declare type ModalType = typeof OriginModal & ModalStaticFunctions & {
    useModal: typeof useModal;
    destroyAll: () => void;
    config: typeof modalGlobalConfig;
};
declare const Modal: ModalType;
export default Modal;
