"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _antd = require("antd");

var _react = _interopRequireWildcard(require("react"));

var _MouseXConfigContext = _interopRequireDefault(require("../MXConfigProvider/MouseXConfigContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
}; // @ts-nocheck


var TestSearch = function TestSearch(props, ref) {
  var Search = _antd.Input.Search;
  var contextInputShowTitle = (0, _react.useContext)(_MouseXConfigContext["default"]).inputShowTitle;
  var showTitle;

  var inputShowTitle = props.inputShowTitle,
      value = props.value,
      defaultValue = props.defaultValue,
      resData = __rest(props, ["inputShowTitle", "value", "defaultValue"]);

  if (inputShowTitle != undefined) {
    showTitle = inputShowTitle;
  } else if (inputShowTitle == undefined) {
    if (contextInputShowTitle !== undefined) {
      showTitle = contextInputShowTitle;
    } else if (contextInputShowTitle == undefined) {
      showTitle = false;
    }
  }

  if (showTitle == true) {
    return /*#__PURE__*/_react["default"].createElement(Search, _extends({
      ref: ref,
      type: "Search",
      title: value ? value : defaultValue,
      value: value,
      defaultValue: defaultValue
    }, resData));
  } else {
    return /*#__PURE__*/_react["default"].createElement(Search, _extends({
      ref: ref,
      value: value,
      defaultValue: defaultValue
    }, resData));
  }
};

var _default = /*#__PURE__*/(0, _react.forwardRef)(TestSearch);

exports["default"] = _default;